# netconfig

~~~
netconfig: gérer la configuration du réseau

USAGE
    netconfig -c network.conf
    netconfig [iface:]ip[/suffix]...

OPTIONS
    -P, --partial
        Activer le mode de configuration partielle. C'est la valeur par défaut.
        Dans ce mode, la configuration courante n'est pas modifiée. Seules de
        nouvelles adresses ips sont configurées le cas échéant.
    -F, --full
        Activer le mode de configuration complète. Dans ce mode, le nom d'hôte
        ainsi que toutes les interfaces, pont et adresses sont configurés.
    -z, --reset
        En mode full, recréer le fichier /etc/network/interfaces au lieu
        d'essayer de le mettre à jour.
    -l, --inline
        Prendre la configuration depuis la ligne de commande. C'est la valeur
        par défaut, sauf si un fichier network.conf existe dans le répertoire
        courant.
        Dans ce mode, chaque argument est une spécification d'adresse IP à
        configurer. Les autres paramètres i.e les ponts, le nom d'hôte et le
        contenu du fichier /etc/networks sont spécifiés avec les options -b,
        -h et -e
    -c, --config CONFIG
        Spécifier le fichier de configuration à utiliser pour la configuration
        du réseau. Cette option est automatiquement activée si le répertoire
        courant contient un fichier network.conf
    -w, --write
        Ecrire la configuration actuelle dans le fichier network.conf
        Note: comme ce script demande les droits de root, le fichier sera écrit
        avec le propriétaire root.
    -b, --bridge BR:IFACES
        En mode inline, spécifier une liste de ponts à configurer.
    -h, --host HOST
        En mode inline, spécifier le nom d'hôte pleinement qualifié
    -e, --etc-networks CONTENT
        Spécifier un contenu pour remplacer le fichier /etc/networks
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary